%define name	ekd
%define version	2.0
%define date	20100530
%define srcname	ekd_linux_source_2_0-1_%{date}
%define release	%mkrel 1.%{date}.1
%define Summary	 Tools to  make post production operations for video files and images.
%define   distsuffix   plf

Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
Source0:	http://download.tuxfamily.org/ekdforum/ekd/appli/linux/sources/%{srcname}.tar.gz
Patch0:		ekd-2_0-1-mdv-fix-lang-install-path.patch
License:	GPLv3
Group:		Video
BuildArch:		noarch
URL:		http://ekd.tuxfamily.org/
BuildRequires:		desktop-file-utils
BuildRequires:		python-qt4
Requires:		mplayer
Requires:		mencoder
Requires:		imagemagick
Requires:		python-qt4
Requires:		ffmpeg2theora
Requires:		python-numpy
Requires:		python-imaging
Requires:		mjpegtools
Requires:		sox
Requires:		lame

%description
EKD can be used to make post production operations for video files and
images.

Features of EKD: 

Video Management:

 Transcoding of video formats: AVI RAW i420, DV, MOV, HFYU, Motion JPEG,
Ogg Theora, VOB, MPEG2, H264 MPEG4 (. Mp4), H264 MPEG4 (. H264), XVID,
divx4, MPEG1, Macromedia Flash Video , WMV2 and AMV.
- Transcoding video for the web: YouTube Transcoding 16 / 9 High Quality
Transcoding YouTube 16 / 9 Average Quality Transcoding YouTube 16 / 9
Low-quality YouTube Transcoding 4 / 3 High Quality YouTube Transcoding 4
/ 3 Average Quality Transcoding YouTube 4 / 3 Low quality Google Video
Transcoding 16 / 9 High Quality Google Video Transcoding 16 / 9 Average
Quality, Google Video Transcoding 16 / 9 Low quality Google Video
Transcoding 4 / 3 High Quality Google Video Transcoding 4 / 3 Average
Quality , Google Video Transcoding 4 / 3 Lower Quality Transcoding
Dailymotion SD 4 / 3, Transcoding Dailymotion SD 16 / 9 and Transcoding
Dailymotion HD 720p.
- Encoding HD (High Definition): HD1080 16 / 9 (mpeg4 - s16be cfm) 1920
× 1080 (. Mov), HD720 16 / 9 (mpeg4 - s16be cfm) 1280 × 720 (. Mov) and
HD1080 4 / 3 (mpeg4 - s16be cfm) 1440 × 1080 (. mov).
- AVCHD  Management ... transcoding m2ts and mts files to:
MOV, VOB, MPEG2, MPEG1, MPEG4, WMV2, HFYU, MSMPEG 4 version 2, and ffv1
Motion JPEG (FFmpeg).
- Filters (for videos): Grayscale, Reserve for subtitles (Expand) Noise,
Brightness, Contrast, Cutting attended (Crop), Cutting Free (Crop),
Color / Saturation (Hue), Mirror Horizontal, Blur box (boxblur), change
resolution, turn the video (90 ° to the right) and Deinterlace.
- A small module very basic video editing, including the possibility of
mounting between several videos (with video codecs and sizes), the
possibility of mounting between videos (with video codecs and sizes
different) and audio files (different extensions) and the ability to cut
a video.
- Separate the video track and audio track (in a video with sound).
- The conversion of a lot of video image (with among others the
possibility to adjust the number of frames per second).
- Converting a video in a batch of images.
- Change the number of frames per second.
- Convert a 16:9 video, 16/10, 4 / 3, 5 / 3 Widescreen 1.85:1,
Cinemascope 2.35:1 Panavision, CinemaScope 2.35:1 optical and magnetic
CinemaScope 2.55:1.
- Create a Slideshow (Slideshow of images in video). Many output
settings including RAW DV, VCD, SVCD, DVD, Flash FLV, MJPEG and Theora.

Image Management

- Create contact sheets (many possible settings).
- View and save file (. Txt) complete information on one or more images.
View and save (in a page. Html) EXIF data of photos.
- Ability to change the format (extension) images.
- Resize images (change the size in pixels) retaining or not retaining
ratio.
- Adding items (allows you to write text on multiple lines and add more
images in a batch of images).
- A small module compositing: Composite image (you can work with a
background consisting of a single image or several).
- The ability to rename a batch of images (if you decide to rename
pictures with EXIF data, you can also rename them, taking into account
the dates of shooting).
- Create animated gif cutting and chunking image (found in the category
for the Web).
- Image Multiplication: multiply images (the images here can be
converted to video, and we have the batch processing of images and
videos).
- Transitions on two sequences of images can move from one sequence to
another (the modules are available fade and spiral).
- Alpha mask for cutting uniform background colored green or blue. Mask
3D (last) import and use of images in a software image synthesis.
- Filters: Old Film (bands + dust), Sepia (to be used for example after
the Old Film filter), Drawing 1: (black lines), Drawing 2: (Pencil),
Drawing 3: (Monochrome) Drawing 4 : (With a little color), Oil, Blur -
blur, gamma, Drawing 5: Fascinating colors + Dark, Pointillism,
Dark-Clear, Paint-to-water, Drawing 6: Illustration grayscale, Drawing
7: Features very fine + Color, Emboss, Sharpen (Details), Grayscale,
Color predefined Creating custom colors, Bas-relief or carved stone,
Improvement edges (clearer image), Reduced noise (denoising), Drawing 8:
thresholding images, Drawing 9: evanescence, Drawing 10: Imitation
cartoon 1 negative (inverse colors / values), Framing photographic
separation into modules, shadow and light in color, Rotate image ,
Drawing 11: comic imitation 2, Drawing 12: Laplacian and contour and
color.

Audio File Management

- Transcoding audio. You can transcode audio files with the following
inputs and outputs: WAV. OGG, FLAC.
- Join several audio files (WAV. OGG, FLAC).
- Cutting an audio file.
- Normalize and convert an audio file.

Play videos and display images

- Watch videos and view pictures directly in EKD.

This package is in PLF, because it requires lame which is covered by software patents.

%files 
%defattr(755,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/mandriva-ekd.desktop

#---------------------------------------------------------------------

%prep
%setup -q -n %{srcname}
%patch0 -p 0

%build


%install
%__rm -rf %buildroot
%__mkdir -p %buildroot/%{_datadir}/%{name}
%__mkdir -p %buildroot/%{_datadir}/applications
%__mkdir -p %buildroot/%{_bindir}
%__cp -vr . %buildroot/%{_datadir}/%{name}
echo -e '#!/bin/sh\ncd %_datadir/%{name} && python ekd_gui.py'> %buildroot/%{_bindir}/%{name}

# Installing languages files
export BUILDROOT="%{buildroot}/%_datadir/%{name}/"
python langues_inst_deb/gestion_des_langues_usr_share_ekd.py

# Creating the .desktop file
cat > mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Ekd
Comment=Tools to make post production operations for video files and images
Exec=ekd
Icon=/usr/share/ekd/icone_ekd.png
Type=Application
Categories=AudioVideo;AudioVideoEditing;Qt;
EOF

desktop-file-install --vendor="" --dir %{buildroot}%{_datadir}/applications mandriva-%{name}.desktop

%clean
%__rm -rf %buildroot

%changelog

* Thu Jul 1 2010 Balcaen John <mikala@zarb.org> 2.0-1.20100530.1plf-2010.1
- update to 2.0-1.20100530.1
- add patch0 & install languages files
- drop source1 (create the .desktop file in the spec)

